import { Construct } from 'constructs';
import { PluginBase, ResourceContext, Stage } from '../../common';
/**
 * Plugin to destroy encryption keys on delete.
 */
export declare class DestroyEncryptionKeysOnDeletePlugin extends PluginBase {
    readonly stagesToRetain: Stage[];
    readonly name: string;
    readonly version: string;
    constructor(stagesToRetain?: Stage[]);
    afterStage(scope: Construct, context: ResourceContext): void;
}
