import * as cdk from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { PluginBase, ResourceContext } from '../../';
export interface ILambdaDLQPluginProps {
    /**
     * The retentionPeriod for the DLQ.
     */
    retentionPeriod?: cdk.Duration;
}
export declare class LambdaDLQPlugin extends PluginBase {
    readonly name = "LambdaDLQPlugin";
    readonly version = "1.0";
    readonly retentionPeriod: cdk.Duration;
    constructor(props?: ILambdaDLQPluginProps);
    afterStage(scope: Construct, context: ResourceContext): void;
}
